## org.apache.mahout.cf.taste.eval
Interface RecommenderBuilder

    public interface RecommenderBuilder

Implementations of this inner interface are simple helper classes which create a `Recommender` to be evaluated based on the given `DataModel`.

Method Summary
`Recommender` `buildRecommender(DataModel dataModel)` Builds a `Recommender` implementation to be evaluated, using the given `DataModel`.

Method Detail

### buildRecommender

    Recommender buildRecommender(DataModel dataModel)
                                 throws TasteException

  Builds a `Recommender` implementation to be evaluated, using the given `DataModel`.

  Parameters:
    `dataModel` - `DataModel` to build the `Recommender` on
  Returns:
    `Recommender` based upon the given `DataModel`
  Throws:
    `TasteException` - if an error occurs while accessing the `DataModel`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.